# yapstone-payouts

Yapstone - the Ruby gem for the Payout Orchestrator API

No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This SDK is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.3
- Package version: 1.0.0
- Build package: org.openapitools.codegen.languages.RubyClientCodegen

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build yapstone-payouts.gemspec
```

Then either install the gem locally:

```shell
gem install ./yapstone-payouts-1.0.0.gem
```

(for development, run `gem install --dev ./yapstone-payouts-1.0.0.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'yapstone-payouts', '~> 1.0.0'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/GIT_USER_ID/GIT_REPO_ID, then add the following in the Gemfile:

    gem 'yapstone-payouts', :git => 'https://github.com/GIT_USER_ID/GIT_REPO_ID.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:

```ruby
# Load the gem
require 'yapstone-payouts'

api_instance = Yapstone::AuthenticationApi.new
grant_type = 'client_credentials' # String | To do OAuth2 authentication, you must indicate the grant type, then adhere to it structurally. Yapstone API endpoints authenticate with OAuth2 and the grant type client credentials. This type of authentication is used to access resources on your own system rather than access a user's resources. 
authorization = 'Basic SGxkdU5OcU1xMzBUZ0djYUpDWVpIWVRsejJjQUJlSHo6YkdIeWNpWXVibzNVTXZLRA==' # String | Provide client_id:client_secret as base64 encoded basic auth. 

begin
  #Authenticate Partner
  result = api_instance.authenticate_partner(grant_type, authorization)
  p result
rescue Yapstone::ApiError => e
  puts "Exception when calling AuthenticationApi->authenticate_partner: #{e}"
end

```

## Documentation for API Endpoints

All URIs are relative to *https://api-prod-sandbox.yapstone.com/v1/payouts*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*Yapstone::AuthenticationApi* | [**authenticate_partner**](docs/AuthenticationApi.md#authenticate_partner) | **POST** /v1/oauth2/client_credential/accesstoken | Authenticate Partner
*Yapstone::PayoutsApi* | [**cancel_deposit**](docs/PayoutsApi.md#cancel_deposit) | **PATCH** /payouts/v1/deposits/{depositId} |                      Cancels the given deposit advice if it has not yet been processed. Note that a deposit advice                     cannot be cancelled after it has been reconciled via the corresponding bank account activity record.
*Yapstone::PayoutsApi* | [**cancel_disbursement**](docs/PayoutsApi.md#cancel_disbursement) | **PATCH** /payouts/v1/disbursements/{transactionId} |                      Cancel Disbursement - Cancels the given disbursement if it has not yet been processed. Note that a                     disbursement cannot be cancelled after it has been submitted for payment to the downstream                     processor.                     Reverse Disbursement - Submits a full (or partial) disbursement for funds that were originally                     retrieved via the given transactionId recapture order. The resulting transactionId represents the                     linked disbursement.
*Yapstone::PayoutsApi* | [**cancel_reimbursement**](docs/PayoutsApi.md#cancel_reimbursement) | **PATCH** /payouts/v1/reimbursements/{transactionId}/cancel |                      Reverse Reimbursement - Submits a full (or partial) disbursement for funds that were originally                     retrieved via the given transactionId recapture order. The resulting transactionId represents the                     linked reimbursement.
*Yapstone::PayoutsApi* | [**create_deposit**](docs/PayoutsApi.md#create_deposit) | **POST** /payouts/v1/deposits |                      Notifies YapStone that a deposit has been initiated by the Marketplace to provide funds for                     future disbursement requests. This call will create a pending deposit record that will be cleared                     when the corresponding transaction is confirmed by the acquiring bank (typically 1-3 days).                     Disbursement requests received against pending funds will be released for processing when the                     deposit is cleared.
*Yapstone::PayoutsApi* | [**get_balances**](docs/PayoutsApi.md#get_balances) | **GET** /payouts/v1/balances |                      Retrieves the funding position for the Marketplace for each supported currency. If the optional                     query parameter is provided, the response will include only the specified currency (EUR, GBP, USD).
*Yapstone::PayoutsApi* | [**get_deposit**](docs/PayoutsApi.md#get_deposit) | **GET** /payouts/v1/deposits/{depositId} | Returns the deposit detail and status history for the given depositId.
*Yapstone::PayoutsApi* | [**get_deposits_by_bank_reference_tag**](docs/PayoutsApi.md#get_deposits_by_bank_reference_tag) | **GET** /payouts/v1/deposits/bankReference/{bankReferenceTag} | Returns all pool activities matching given bank reference tag.
*Yapstone::PayoutsApi* | [**get_deposits_by_client_unique_txn_id**](docs/PayoutsApi.md#get_deposits_by_client_unique_txn_id) | **GET** /payouts/v1/deposits/clientId/{clientUniqueTxnId} | Returns all pool activities matching given client unique transaction id.
*Yapstone::PayoutsApi* | [**get_deposits_by_correlation_id**](docs/PayoutsApi.md#get_deposits_by_correlation_id) | **GET** /payouts/v1/deposits/correlation/{clientCorrelationId} | Returns all pool activities matching given client correlation id.
*Yapstone::PayoutsApi* | [**get_deposits_by_correlation_id_and_status**](docs/PayoutsApi.md#get_deposits_by_correlation_id_and_status) | **GET** /payouts/v1/deposits/correlation/{clientCorrelationId}/status/{currentStatus} | Returns all pool activities matching given client correlation id and status.
*Yapstone::PayoutsApi* | [**get_deposits_by_currency**](docs/PayoutsApi.md#get_deposits_by_currency) | **GET** /payouts/v1/deposits/currency/{currency} | Returns all pool activities matching given currency.
*Yapstone::PayoutsApi* | [**get_deposits_by_status**](docs/PayoutsApi.md#get_deposits_by_status) | **GET** /payouts/v1/deposits/status/{currentStatus} | Returns all pool activities matching given current status.
*Yapstone::PayoutsApi* | [**get_disbursements_by_client_correlation_id**](docs/PayoutsApi.md#get_disbursements_by_client_correlation_id) | **GET** /payouts/v1/disbursements/correlation/{clientCorrelationId} | Returns all disbursement transactions matching given correlation id.
*Yapstone::PayoutsApi* | [**get_disbursements_by_client_unique_txn_id**](docs/PayoutsApi.md#get_disbursements_by_client_unique_txn_id) | **GET** /payouts/v1/disbursements/clientId/{clientUniqueTxnId} | Returns all disbursement transactions matching given unique id.
*Yapstone::PayoutsApi* | [**get_disbursements_by_contract_id**](docs/PayoutsApi.md#get_disbursements_by_contract_id) | **GET** /payouts/v1/disbursements/contract/{contractId} | Returns all disbursement transactions matching given contract id.
*Yapstone::PayoutsApi* | [**get_disbursements_by_correlation_id_and_status**](docs/PayoutsApi.md#get_disbursements_by_correlation_id_and_status) | **GET** /payouts/v1/disbursements/correlation/{clientCorrelationId}/status/{currentStatus} | Returns all disbursement transactions matching given correlation id and status.
*Yapstone::PayoutsApi* | [**get_disbursements_by_currency**](docs/PayoutsApi.md#get_disbursements_by_currency) | **GET** /payouts/v1/disbursements/currency/{currency} | Returns all disbursement transactions matching given contract id.
*Yapstone::PayoutsApi* | [**get_disbursements_by_instrument_id**](docs/PayoutsApi.md#get_disbursements_by_instrument_id) | **GET** /payouts/v1/disbursements/instrument/{payeeInstrumentId} | Returns all disbursement transactions matching given contract id.
*Yapstone::PayoutsApi* | [**get_disbursements_by_order_id**](docs/PayoutsApi.md#get_disbursements_by_order_id) | **GET** /payouts/v1/disbursements/order/{orderId} | Returns all disbursement transactions matching given order id.
*Yapstone::PayoutsApi* | [**get_disbursements_by_party_id**](docs/PayoutsApi.md#get_disbursements_by_party_id) | **GET** /payouts/v1/disbursements/party/{payeePartyId} | Returns all disbursement transactions matching given contract id.
*Yapstone::PayoutsApi* | [**get_disbursements_by_status**](docs/PayoutsApi.md#get_disbursements_by_status) | **GET** /payouts/v1/disbursements/status/{currentStatus} | Returns all disbursement transactions matching given current status.
*Yapstone::PayoutsApi* | [**get_disbursements_by_txn_id**](docs/PayoutsApi.md#get_disbursements_by_txn_id) | **GET** /payouts/v1/disbursements/{transactionId} |                      Returns the disbursement detail and status history for the given transactionId.
*Yapstone::PayoutsApi* | [**get_reimbursement**](docs/PayoutsApi.md#get_reimbursement) | **GET** /payouts/v1/reimbursements/{transactionId} |                      Returns the disbursement detail and status history for the given transactionId.
*Yapstone::PayoutsApi* | [**get_reimbursements_by_contract_id**](docs/PayoutsApi.md#get_reimbursements_by_contract_id) | **GET** /payouts/v1/reimbursements/contract/{contractId} | Returns all reimbursement transactions matching given contract .
*Yapstone::PayoutsApi* | [**get_reimbursements_by_correlation_id**](docs/PayoutsApi.md#get_reimbursements_by_correlation_id) | **GET** /payouts/v1/reimbursements/correlation/{clientCorrelationId} | Returns all reimbursement transactions matching given correlation .
*Yapstone::PayoutsApi* | [**get_reimbursements_by_correlation_id_and_status**](docs/PayoutsApi.md#get_reimbursements_by_correlation_id_and_status) | **GET** /payouts/v1/reimbursements/correlation/{clientCorrelationId}/status/{currentStatus} | Returns all pool activities matching given client correlation id and status.
*Yapstone::PayoutsApi* | [**get_reimbursements_by_currency**](docs/PayoutsApi.md#get_reimbursements_by_currency) | **GET** /payouts/v1/reimbursements/currency/{currency} | Returns all reimbursement transactions matching given currency .
*Yapstone::PayoutsApi* | [**get_reimbursements_by_current_status**](docs/PayoutsApi.md#get_reimbursements_by_current_status) | **GET** /payouts/v1/reimbursements/clientId/{clientUniqueTxnId} | Returns all reimbursement transactions matching given clientId .
*Yapstone::PayoutsApi* | [**get_reimbursements_by_instrument**](docs/PayoutsApi.md#get_reimbursements_by_instrument) | **GET** /payouts/v1/reimbursements/instrument/{payeeInstrumentId} | Returns all reimbursement transactions matching given instrument .
*Yapstone::PayoutsApi* | [**get_reimbursements_by_order_id**](docs/PayoutsApi.md#get_reimbursements_by_order_id) | **GET** /payouts/v1/reimbursements/order/{orderId} | Returns all reimbursement transactions matching given order .
*Yapstone::PayoutsApi* | [**get_reimbursements_by_party_id**](docs/PayoutsApi.md#get_reimbursements_by_party_id) | **GET** /payouts/v1/reimbursements/party/{payeePartyId} | Returns all reimbursement transactions matching given party .
*Yapstone::PayoutsApi* | [**get_reimbursements_by_status**](docs/PayoutsApi.md#get_reimbursements_by_status) | **GET** /payouts/v1/reimbursements/status/{currentStatus} | Returns all reimbursement transactions matching given status .
*Yapstone::PayoutsApi* | [**reverse_disbursement**](docs/PayoutsApi.md#reverse_disbursement) | **PATCH** /payouts/v1/disbursements/{transactionId}/reverse |                      Reverse Disbursement - Submits a full (or partial) disbursement for funds that were originally                     retrieved via the given transactionId recapture order. The resulting transactionId represents the                     linked disbursement.
*Yapstone::PayoutsApi* | [**reverse_reimbursement**](docs/PayoutsApi.md#reverse_reimbursement) | **PATCH** /payouts/v1/reimbursements/{transactionId}/reverse |                      Reverse Reimbursement - Submits a full (or partial) disbursement for funds that were originally                     retrieved via the given transactionId recapture order. The resulting transactionId represents the                     linked reimbursement.
*Yapstone::PayoutsApi* | [**submit_disbursements_for_payees**](docs/PayoutsApi.md#submit_disbursements_for_payees) | **POST** /payouts/v1/disbursements |                      Provides instructions from the Marketplace for payments to be distributed to one or more                     Payees. Disbursement requests are grouped by currency, given that the funding pools are also                     segregated in this manner. If the corresponding pool was funded in advance, the disbursements                     will be processed on a same-day basis. Otherwise the disbursement requests will be queued for                     later processing as funds become available. Response is organized in two collections (accepted                     and rejected) to distinguish successful and failed items.
*Yapstone::PayoutsApi* | [**submit_reimbursements**](docs/PayoutsApi.md#submit_reimbursements) | **POST** /payouts/v1/reimbursements | 
*Yapstone::PayoutsApi* | [**update_deposit**](docs/PayoutsApi.md#update_deposit) | **PUT** /payouts/v1/deposits/{depositId} |                      Allows a Marketplace to update the details for a pending deposit advice to correct these values                     relative to the original post operation. Note that the new values will overwrite the existing                     deposit, and all must be provided by the caller (presumably after a corresponding get operation).                     If the deposit has already been processed then the update request will be rejected                     (400 Bad request).


## Documentation for Models

 - [Yapstone::CancelDepositRequest](docs/CancelDepositRequest.md)
 - [Yapstone::CancelRequest](docs/CancelRequest.md)
 - [Yapstone::Deposit](docs/Deposit.md)
 - [Yapstone::DepositDetail](docs/DepositDetail.md)
 - [Yapstone::DepositListResponse](docs/DepositListResponse.md)
 - [Yapstone::DepositRequest](docs/DepositRequest.md)
 - [Yapstone::Disbursement](docs/Disbursement.md)
 - [Yapstone::DisbursementListResponse](docs/DisbursementListResponse.md)
 - [Yapstone::DisbursementRequest](docs/DisbursementRequest.md)
 - [Yapstone::FundingPool](docs/FundingPool.md)
 - [Yapstone::InlineResponse200](docs/InlineResponse200.md)
 - [Yapstone::Meta](docs/Meta.md)
 - [Yapstone::Page](docs/Page.md)
 - [Yapstone::PaymentTransactionDetail](docs/PaymentTransactionDetail.md)
 - [Yapstone::PoolListResponse](docs/PoolListResponse.md)
 - [Yapstone::Reimbursement](docs/Reimbursement.md)
 - [Yapstone::ReimbursementListResponse](docs/ReimbursementListResponse.md)
 - [Yapstone::ReimbursementRequest](docs/ReimbursementRequest.md)
 - [Yapstone::ReverseDisbursementRequest](docs/ReverseDisbursementRequest.md)
 - [Yapstone::ReverseReimbursementRequest](docs/ReverseReimbursementRequest.md)
 - [Yapstone::StatusChanges](docs/StatusChanges.md)


## Documentation for Authorization


### Bearer

- **Type**: Bearer authentication (JWT)

