# Yapstone::AuthenticationApi

All URIs are relative to *https://api-prod-sandbox.yapstone.com/v1/payouts*

Method | HTTP request | Description
------------- | ------------- | -------------
[**authenticate_partner**](AuthenticationApi.md#authenticate_partner) | **POST** /v1/oauth2/client_credential/accesstoken | Authenticate Partner



## authenticate_partner

> InlineResponse200 authenticate_partner(grant_type, authorization)

Authenticate Partner

Get an access token. It is OAuth2, and you must use the client credentials grant type. The token will allow you to authenticate with the other internal payments API endpoints. 

### Example

```ruby
# load the gem
require 'yapstone-payouts'

api_instance = Yapstone::AuthenticationApi.new
grant_type = 'client_credentials' # String | To do OAuth2 authentication, you must indicate the grant type, then adhere to it structurally. Yapstone API endpoints authenticate with OAuth2 and the grant type client credentials. This type of authentication is used to access resources on your own system rather than access a user's resources. 
authorization = 'Basic SGxkdU5OcU1xMzBUZ0djYUpDWVpIWVRsejJjQUJlSHo6YkdIeWNpWXVibzNVTXZLRA==' # String | Provide client_id:client_secret as base64 encoded basic auth. 

begin
  #Authenticate Partner
  result = api_instance.authenticate_partner(grant_type, authorization)
  p result
rescue Yapstone::ApiError => e
  puts "Exception when calling AuthenticationApi->authenticate_partner: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **grant_type** | **String**| To do OAuth2 authentication, you must indicate the grant type, then adhere to it structurally. Yapstone API endpoints authenticate with OAuth2 and the grant type client credentials. This type of authentication is used to access resources on your own system rather than access a user&#39;s resources.  | 
 **authorization** | **String**| Provide client_id:client_secret as base64 encoded basic auth.  | 

### Return type

[**InlineResponse200**](InlineResponse200.md)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

