# Yapstone::PayoutsApi

All URIs are relative to *https://api-prod-sandbox.yapstone.com/v1/payouts*

Method | HTTP request | Description
------------- | ------------- | -------------
[**cancel_deposit**](PayoutsApi.md#cancel_deposit) | **PATCH** /payouts/v1/deposits/{depositId} |                      Cancels the given deposit advice if it has not yet been processed. Note that a deposit advice                     cannot be cancelled after it has been reconciled via the corresponding bank account activity record.
[**cancel_disbursement**](PayoutsApi.md#cancel_disbursement) | **PATCH** /payouts/v1/disbursements/{transactionId} |                      Cancel Disbursement - Cancels the given disbursement if it has not yet been processed. Note that a                     disbursement cannot be cancelled after it has been submitted for payment to the downstream                     processor.                     Reverse Disbursement - Submits a full (or partial) disbursement for funds that were originally                     retrieved via the given transactionId recapture order. The resulting transactionId represents the                     linked disbursement.
[**cancel_reimbursement**](PayoutsApi.md#cancel_reimbursement) | **PATCH** /payouts/v1/reimbursements/{transactionId}/cancel |                      Reverse Reimbursement - Submits a full (or partial) disbursement for funds that were originally                     retrieved via the given transactionId recapture order. The resulting transactionId represents the                     linked reimbursement.
[**create_deposit**](PayoutsApi.md#create_deposit) | **POST** /payouts/v1/deposits |                      Notifies YapStone that a deposit has been initiated by the Marketplace to provide funds for                     future disbursement requests. This call will create a pending deposit record that will be cleared                     when the corresponding transaction is confirmed by the acquiring bank (typically 1-3 days).                     Disbursement requests received against pending funds will be released for processing when the                     deposit is cleared.
[**get_balances**](PayoutsApi.md#get_balances) | **GET** /payouts/v1/balances |                      Retrieves the funding position for the Marketplace for each supported currency. If the optional                     query parameter is provided, the response will include only the specified currency (EUR, GBP, USD).
[**get_deposit**](PayoutsApi.md#get_deposit) | **GET** /payouts/v1/deposits/{depositId} | Returns the deposit detail and status history for the given depositId.
[**get_deposits_by_bank_reference_tag**](PayoutsApi.md#get_deposits_by_bank_reference_tag) | **GET** /payouts/v1/deposits/bankReference/{bankReferenceTag} | Returns all pool activities matching given bank reference tag.
[**get_deposits_by_client_unique_txn_id**](PayoutsApi.md#get_deposits_by_client_unique_txn_id) | **GET** /payouts/v1/deposits/clientId/{clientUniqueTxnId} | Returns all pool activities matching given client unique transaction id.
[**get_deposits_by_correlation_id**](PayoutsApi.md#get_deposits_by_correlation_id) | **GET** /payouts/v1/deposits/correlation/{clientCorrelationId} | Returns all pool activities matching given client correlation id.
[**get_deposits_by_correlation_id_and_status**](PayoutsApi.md#get_deposits_by_correlation_id_and_status) | **GET** /payouts/v1/deposits/correlation/{clientCorrelationId}/status/{currentStatus} | Returns all pool activities matching given client correlation id and status.
[**get_deposits_by_currency**](PayoutsApi.md#get_deposits_by_currency) | **GET** /payouts/v1/deposits/currency/{currency} | Returns all pool activities matching given currency.
[**get_deposits_by_status**](PayoutsApi.md#get_deposits_by_status) | **GET** /payouts/v1/deposits/status/{currentStatus} | Returns all pool activities matching given current status.
[**get_disbursements_by_client_correlation_id**](PayoutsApi.md#get_disbursements_by_client_correlation_id) | **GET** /payouts/v1/disbursements/correlation/{clientCorrelationId} | Returns all disbursement transactions matching given correlation id.
[**get_disbursements_by_client_unique_txn_id**](PayoutsApi.md#get_disbursements_by_client_unique_txn_id) | **GET** /payouts/v1/disbursements/clientId/{clientUniqueTxnId} | Returns all disbursement transactions matching given unique id.
[**get_disbursements_by_contract_id**](PayoutsApi.md#get_disbursements_by_contract_id) | **GET** /payouts/v1/disbursements/contract/{contractId} | Returns all disbursement transactions matching given contract id.
[**get_disbursements_by_correlation_id_and_status**](PayoutsApi.md#get_disbursements_by_correlation_id_and_status) | **GET** /payouts/v1/disbursements/correlation/{clientCorrelationId}/status/{currentStatus} | Returns all disbursement transactions matching given correlation id and status.
[**get_disbursements_by_currency**](PayoutsApi.md#get_disbursements_by_currency) | **GET** /payouts/v1/disbursements/currency/{currency} | Returns all disbursement transactions matching given contract id.
[**get_disbursements_by_instrument_id**](PayoutsApi.md#get_disbursements_by_instrument_id) | **GET** /payouts/v1/disbursements/instrument/{payeeInstrumentId} | Returns all disbursement transactions matching given contract id.
[**get_disbursements_by_order_id**](PayoutsApi.md#get_disbursements_by_order_id) | **GET** /payouts/v1/disbursements/order/{orderId} | Returns all disbursement transactions matching given order id.
[**get_disbursements_by_party_id**](PayoutsApi.md#get_disbursements_by_party_id) | **GET** /payouts/v1/disbursements/party/{payeePartyId} | Returns all disbursement transactions matching given contract id.
[**get_disbursements_by_status**](PayoutsApi.md#get_disbursements_by_status) | **GET** /payouts/v1/disbursements/status/{currentStatus} | Returns all disbursement transactions matching given current status.
[**get_disbursements_by_txn_id**](PayoutsApi.md#get_disbursements_by_txn_id) | **GET** /payouts/v1/disbursements/{transactionId} |                      Returns the disbursement detail and status history for the given transactionId.
[**get_reimbursement**](PayoutsApi.md#get_reimbursement) | **GET** /payouts/v1/reimbursements/{transactionId} |                      Returns the disbursement detail and status history for the given transactionId.
[**get_reimbursements_by_contract_id**](PayoutsApi.md#get_reimbursements_by_contract_id) | **GET** /payouts/v1/reimbursements/contract/{contractId} | Returns all reimbursement transactions matching given contract .
[**get_reimbursements_by_correlation_id**](PayoutsApi.md#get_reimbursements_by_correlation_id) | **GET** /payouts/v1/reimbursements/correlation/{clientCorrelationId} | Returns all reimbursement transactions matching given correlation .
[**get_reimbursements_by_correlation_id_and_status**](PayoutsApi.md#get_reimbursements_by_correlation_id_and_status) | **GET** /payouts/v1/reimbursements/correlation/{clientCorrelationId}/status/{currentStatus} | Returns all pool activities matching given client correlation id and status.
[**get_reimbursements_by_currency**](PayoutsApi.md#get_reimbursements_by_currency) | **GET** /payouts/v1/reimbursements/currency/{currency} | Returns all reimbursement transactions matching given currency .
[**get_reimbursements_by_current_status**](PayoutsApi.md#get_reimbursements_by_current_status) | **GET** /payouts/v1/reimbursements/clientId/{clientUniqueTxnId} | Returns all reimbursement transactions matching given clientId .
[**get_reimbursements_by_instrument**](PayoutsApi.md#get_reimbursements_by_instrument) | **GET** /payouts/v1/reimbursements/instrument/{payeeInstrumentId} | Returns all reimbursement transactions matching given instrument .
[**get_reimbursements_by_order_id**](PayoutsApi.md#get_reimbursements_by_order_id) | **GET** /payouts/v1/reimbursements/order/{orderId} | Returns all reimbursement transactions matching given order .
[**get_reimbursements_by_party_id**](PayoutsApi.md#get_reimbursements_by_party_id) | **GET** /payouts/v1/reimbursements/party/{payeePartyId} | Returns all reimbursement transactions matching given party .
[**get_reimbursements_by_status**](PayoutsApi.md#get_reimbursements_by_status) | **GET** /payouts/v1/reimbursements/status/{currentStatus} | Returns all reimbursement transactions matching given status .
[**reverse_disbursement**](PayoutsApi.md#reverse_disbursement) | **PATCH** /payouts/v1/disbursements/{transactionId}/reverse |                      Reverse Disbursement - Submits a full (or partial) disbursement for funds that were originally                     retrieved via the given transactionId recapture order. The resulting transactionId represents the                     linked disbursement.
[**reverse_reimbursement**](PayoutsApi.md#reverse_reimbursement) | **PATCH** /payouts/v1/reimbursements/{transactionId}/reverse |                      Reverse Reimbursement - Submits a full (or partial) disbursement for funds that were originally                     retrieved via the given transactionId recapture order. The resulting transactionId represents the                     linked reimbursement.
[**submit_disbursements_for_payees**](PayoutsApi.md#submit_disbursements_for_payees) | **POST** /payouts/v1/disbursements |                      Provides instructions from the Marketplace for payments to be distributed to one or more                     Payees. Disbursement requests are grouped by currency, given that the funding pools are also                     segregated in this manner. If the corresponding pool was funded in advance, the disbursements                     will be processed on a same-day basis. Otherwise the disbursement requests will be queued for                     later processing as funds become available. Response is organized in two collections (accepted                     and rejected) to distinguish successful and failed items.
[**submit_reimbursements**](PayoutsApi.md#submit_reimbursements) | **POST** /payouts/v1/reimbursements | 
[**update_deposit**](PayoutsApi.md#update_deposit) | **PUT** /payouts/v1/deposits/{depositId} |                      Allows a Marketplace to update the details for a pending deposit advice to correct these values                     relative to the original post operation. Note that the new values will overwrite the existing                     deposit, and all must be provided by the caller (presumably after a corresponding get operation).                     If the deposit has already been processed then the update request will be rejected                     (400 Bad request).



## cancel_deposit

> cancel_deposit(deposit_id, cancel_deposit_request)

                     Cancels the given deposit advice if it has not yet been processed. Note that a deposit advice                     cannot be cancelled after it has been reconciled via the corresponding bank account activity record.

### Example

```ruby
# load the gem
require 'yapstone-payouts'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::PayoutsApi.new
deposit_id = 'deposit_id_example' # String | Primary key for a single deposit record (assigned by YapStone)
cancel_deposit_request = Yapstone::CancelDepositRequest.new # CancelDepositRequest | 

begin
  #                     Cancels the given deposit advice if it has not yet been processed. Note that a deposit advice                     cannot be cancelled after it has been reconciled via the corresponding bank account activity record.
  api_instance.cancel_deposit(deposit_id, cancel_deposit_request)
rescue Yapstone::ApiError => e
  puts "Exception when calling PayoutsApi->cancel_deposit: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **deposit_id** | **String**| Primary key for a single deposit record (assigned by YapStone) | 
 **cancel_deposit_request** | [**CancelDepositRequest**](CancelDepositRequest.md)|  | 

### Return type

nil (empty response body)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: Not defined


## cancel_disbursement

> cancel_disbursement(transaction_id, cancel_request)

                     Cancel Disbursement - Cancels the given disbursement if it has not yet been processed. Note that a                     disbursement cannot be cancelled after it has been submitted for payment to the downstream                     processor.                     Reverse Disbursement - Submits a full (or partial) disbursement for funds that were originally                     retrieved via the given transactionId recapture order. The resulting transactionId represents the                     linked disbursement.

### Example

```ruby
# load the gem
require 'yapstone-payouts'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::PayoutsApi.new
transaction_id = 'transaction_id_example' # String | Primary key for a single disbursement record (assigned by YapStone)
cancel_request = Yapstone::CancelRequest.new # CancelRequest | 

begin
  #                     Cancel Disbursement - Cancels the given disbursement if it has not yet been processed. Note that a                     disbursement cannot be cancelled after it has been submitted for payment to the downstream                     processor.                     Reverse Disbursement - Submits a full (or partial) disbursement for funds that were originally                     retrieved via the given transactionId recapture order. The resulting transactionId represents the                     linked disbursement.
  api_instance.cancel_disbursement(transaction_id, cancel_request)
rescue Yapstone::ApiError => e
  puts "Exception when calling PayoutsApi->cancel_disbursement: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **transaction_id** | **String**| Primary key for a single disbursement record (assigned by YapStone) | 
 **cancel_request** | [**CancelRequest**](CancelRequest.md)|  | 

### Return type

nil (empty response body)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: Not defined


## cancel_reimbursement

> cancel_reimbursement(transaction_id, cancel_request)

                     Reverse Reimbursement - Submits a full (or partial) disbursement for funds that were originally                     retrieved via the given transactionId recapture order. The resulting transactionId represents the                     linked reimbursement.

### Example

```ruby
# load the gem
require 'yapstone-payouts'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::PayoutsApi.new
transaction_id = 'transaction_id_example' # String | Primary key for a single reimbursement record (assigned by YapStone)
cancel_request = Yapstone::CancelRequest.new # CancelRequest | 

begin
  #                     Reverse Reimbursement - Submits a full (or partial) disbursement for funds that were originally                     retrieved via the given transactionId recapture order. The resulting transactionId represents the                     linked reimbursement.
  api_instance.cancel_reimbursement(transaction_id, cancel_request)
rescue Yapstone::ApiError => e
  puts "Exception when calling PayoutsApi->cancel_reimbursement: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **transaction_id** | **String**| Primary key for a single reimbursement record (assigned by YapStone) | 
 **cancel_request** | [**CancelRequest**](CancelRequest.md)|  | 

### Return type

nil (empty response body)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: Not defined


## create_deposit

> create_deposit(deposit_request)

                     Notifies YapStone that a deposit has been initiated by the Marketplace to provide funds for                     future disbursement requests. This call will create a pending deposit record that will be cleared                     when the corresponding transaction is confirmed by the acquiring bank (typically 1-3 days).                     Disbursement requests received against pending funds will be released for processing when the                     deposit is cleared.

### Example

```ruby
# load the gem
require 'yapstone-payouts'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::PayoutsApi.new
deposit_request = Yapstone::DepositRequest.new # DepositRequest | Request describes one or more pending deposits for the given currency.

begin
  #                     Notifies YapStone that a deposit has been initiated by the Marketplace to provide funds for                     future disbursement requests. This call will create a pending deposit record that will be cleared                     when the corresponding transaction is confirmed by the acquiring bank (typically 1-3 days).                     Disbursement requests received against pending funds will be released for processing when the                     deposit is cleared.
  api_instance.create_deposit(deposit_request)
rescue Yapstone::ApiError => e
  puts "Exception when calling PayoutsApi->create_deposit: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **deposit_request** | [**DepositRequest**](DepositRequest.md)| Request describes one or more pending deposits for the given currency. | 

### Return type

nil (empty response body)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: Not defined


## get_balances

> PoolListResponse get_balances(opts)

                     Retrieves the funding position for the Marketplace for each supported currency. If the optional                     query parameter is provided, the response will include only the specified currency (EUR, GBP, USD).

### Example

```ruby
# load the gem
require 'yapstone-payouts'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::PayoutsApi.new
opts = {
  marketplace: 'marketplace_example', # String | Optional Marketplace Id to filter the balances. If not passed default marketplace                        from app token will be used
  currency: 'currency_example' # String | The currency for the balance inquiry (returns all by default)
}

begin
  #                     Retrieves the funding position for the Marketplace for each supported currency. If the optional                     query parameter is provided, the response will include only the specified currency (EUR, GBP, USD).
  result = api_instance.get_balances(opts)
  p result
rescue Yapstone::ApiError => e
  puts "Exception when calling PayoutsApi->get_balances: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **marketplace** | **String**| Optional Marketplace Id to filter the balances. If not passed default marketplace                        from app token will be used | [optional] 
 **currency** | **String**| The currency for the balance inquiry (returns all by default) | [optional] 

### Return type

[**PoolListResponse**](PoolListResponse.md)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## get_deposit

> Deposit get_deposit(deposit_id)

Returns the deposit detail and status history for the given depositId.

### Example

```ruby
# load the gem
require 'yapstone-payouts'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::PayoutsApi.new
deposit_id = 'deposit_id_example' # String | Primary key for a single deposit record (assigned by YapStone)

begin
  #Returns the deposit detail and status history for the given depositId.
  result = api_instance.get_deposit(deposit_id)
  p result
rescue Yapstone::ApiError => e
  puts "Exception when calling PayoutsApi->get_deposit: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **deposit_id** | **String**| Primary key for a single deposit record (assigned by YapStone) | 

### Return type

[**Deposit**](Deposit.md)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## get_deposits_by_bank_reference_tag

> DepositListResponse get_deposits_by_bank_reference_tag(bank_reference_tag, opts)

Returns all pool activities matching given bank reference tag.

### Example

```ruby
# load the gem
require 'yapstone-payouts'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::PayoutsApi.new
bank_reference_tag = 'bank_reference_tag_example' # String | Partial bank reference identifier for a single deposit record
opts = {
  from_date: 'from_date_example', # String | From date. Format YYYY-MM-DD
  to_date: 'to_date_example', # String | To date. Format YYYY-MM-DD
  marketplace: 'marketplace_example' # String | Optional Marketplace Id to filter the deposits. If not passed, default marketplace                        from app token will be used if applicable.
}

begin
  #Returns all pool activities matching given bank reference tag.
  result = api_instance.get_deposits_by_bank_reference_tag(bank_reference_tag, opts)
  p result
rescue Yapstone::ApiError => e
  puts "Exception when calling PayoutsApi->get_deposits_by_bank_reference_tag: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **bank_reference_tag** | **String**| Partial bank reference identifier for a single deposit record | 
 **from_date** | **String**| From date. Format YYYY-MM-DD | [optional] 
 **to_date** | **String**| To date. Format YYYY-MM-DD | [optional] 
 **marketplace** | **String**| Optional Marketplace Id to filter the deposits. If not passed, default marketplace                        from app token will be used if applicable. | [optional] 

### Return type

[**DepositListResponse**](DepositListResponse.md)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## get_deposits_by_client_unique_txn_id

> DepositListResponse get_deposits_by_client_unique_txn_id(client_unique_txn_id, opts)

Returns all pool activities matching given client unique transaction id.

### Example

```ruby
# load the gem
require 'yapstone-payouts'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::PayoutsApi.new
client_unique_txn_id = 'client_unique_txn_id_example' # String | Alternate key for a single deposit record (assigned by Marketplace)
opts = {
  from_date: 'from_date_example', # String | From date. Format YYYY-MM-DD
  to_date: 'to_date_example', # String | To date. Format YYYY-MM-DD
  marketplace: 'marketplace_example' # String | Optional Marketplace Id to filter the deposits. If not passed, default marketplace                        from app token will be used if applicable.
}

begin
  #Returns all pool activities matching given client unique transaction id.
  result = api_instance.get_deposits_by_client_unique_txn_id(client_unique_txn_id, opts)
  p result
rescue Yapstone::ApiError => e
  puts "Exception when calling PayoutsApi->get_deposits_by_client_unique_txn_id: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **client_unique_txn_id** | **String**| Alternate key for a single deposit record (assigned by Marketplace) | 
 **from_date** | **String**| From date. Format YYYY-MM-DD | [optional] 
 **to_date** | **String**| To date. Format YYYY-MM-DD | [optional] 
 **marketplace** | **String**| Optional Marketplace Id to filter the deposits. If not passed, default marketplace                        from app token will be used if applicable. | [optional] 

### Return type

[**DepositListResponse**](DepositListResponse.md)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## get_deposits_by_correlation_id

> DepositListResponse get_deposits_by_correlation_id(client_correlation_id, opts)

Returns all pool activities matching given client correlation id.

### Example

```ruby
# load the gem
require 'yapstone-payouts'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::PayoutsApi.new
client_correlation_id = 'client_correlation_id_example' # String | Correlation identifier assigned to one or more deposits by the Marketplace
opts = {
  from_date: 'from_date_example', # String | From date. Format YYYY-MM-DD
  to_date: 'to_date_example', # String | To date. Format YYYY-MM-DD
  marketplace: 'marketplace_example' # String | Optional Marketplace Id to filter the deposits. If not passed, default marketplace                        from app token will be used if applicable.
}

begin
  #Returns all pool activities matching given client correlation id.
  result = api_instance.get_deposits_by_correlation_id(client_correlation_id, opts)
  p result
rescue Yapstone::ApiError => e
  puts "Exception when calling PayoutsApi->get_deposits_by_correlation_id: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **client_correlation_id** | **String**| Correlation identifier assigned to one or more deposits by the Marketplace | 
 **from_date** | **String**| From date. Format YYYY-MM-DD | [optional] 
 **to_date** | **String**| To date. Format YYYY-MM-DD | [optional] 
 **marketplace** | **String**| Optional Marketplace Id to filter the deposits. If not passed, default marketplace                        from app token will be used if applicable. | [optional] 

### Return type

[**DepositListResponse**](DepositListResponse.md)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## get_deposits_by_correlation_id_and_status

> DepositListResponse get_deposits_by_correlation_id_and_status(client_correlation_id, current_status, opts)

Returns all pool activities matching given client correlation id and status.

### Example

```ruby
# load the gem
require 'yapstone-payouts'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::PayoutsApi.new
client_correlation_id = 'client_correlation_id_example' # String | Correlation identifier assigned to one or more deposits by the Marketplace
current_status = 'current_status_example' # String | Current deposit status of the pool activity
opts = {
  from_date: 'from_date_example', # String | From date. Format YYYY-MM-DD
  to_date: 'to_date_example', # String | To date. Format YYYY-MM-DD
  marketplace: 'marketplace_example' # String | Optional Marketplace Id to filter the deposits. If not passed, default marketplace                        from app token will be used if applicable.
}

begin
  #Returns all pool activities matching given client correlation id and status.
  result = api_instance.get_deposits_by_correlation_id_and_status(client_correlation_id, current_status, opts)
  p result
rescue Yapstone::ApiError => e
  puts "Exception when calling PayoutsApi->get_deposits_by_correlation_id_and_status: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **client_correlation_id** | **String**| Correlation identifier assigned to one or more deposits by the Marketplace | 
 **current_status** | **String**| Current deposit status of the pool activity | 
 **from_date** | **String**| From date. Format YYYY-MM-DD | [optional] 
 **to_date** | **String**| To date. Format YYYY-MM-DD | [optional] 
 **marketplace** | **String**| Optional Marketplace Id to filter the deposits. If not passed, default marketplace                        from app token will be used if applicable. | [optional] 

### Return type

[**DepositListResponse**](DepositListResponse.md)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## get_deposits_by_currency

> DepositListResponse get_deposits_by_currency(currency, opts)

Returns all pool activities matching given currency.

### Example

```ruby
# load the gem
require 'yapstone-payouts'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::PayoutsApi.new
currency = 'currency_example' # String | The currency for a set of deposits (EUR, GBP, USD)
opts = {
  from_date: 'from_date_example', # String | From date. Format YYYY-MM-DD
  to_date: 'to_date_example', # String | To date. Format YYYY-MM-DD
  marketplace: 'marketplace_example' # String | Optional Marketplace Id to filter the deposits. If not passed, default marketplace                        from app token will be used if applicable.
}

begin
  #Returns all pool activities matching given currency.
  result = api_instance.get_deposits_by_currency(currency, opts)
  p result
rescue Yapstone::ApiError => e
  puts "Exception when calling PayoutsApi->get_deposits_by_currency: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **currency** | **String**| The currency for a set of deposits (EUR, GBP, USD) | 
 **from_date** | **String**| From date. Format YYYY-MM-DD | [optional] 
 **to_date** | **String**| To date. Format YYYY-MM-DD | [optional] 
 **marketplace** | **String**| Optional Marketplace Id to filter the deposits. If not passed, default marketplace                        from app token will be used if applicable. | [optional] 

### Return type

[**DepositListResponse**](DepositListResponse.md)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## get_deposits_by_status

> DepositListResponse get_deposits_by_status(current_status, opts)

Returns all pool activities matching given current status.

### Example

```ruby
# load the gem
require 'yapstone-payouts'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::PayoutsApi.new
current_status = 'current_status_example' # String | Current deposit status of the pool activity
opts = {
  from_date: 'from_date_example', # String | From date. Format YYYY-MM-DD
  to_date: 'to_date_example', # String | To date. Format YYYY-MM-DD
  marketplace: 'marketplace_example' # String | Optional Marketplace Id to filter the deposits. If not passed, default marketplace                        from app token will be used if applicable.
}

begin
  #Returns all pool activities matching given current status.
  result = api_instance.get_deposits_by_status(current_status, opts)
  p result
rescue Yapstone::ApiError => e
  puts "Exception when calling PayoutsApi->get_deposits_by_status: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **current_status** | **String**| Current deposit status of the pool activity | 
 **from_date** | **String**| From date. Format YYYY-MM-DD | [optional] 
 **to_date** | **String**| To date. Format YYYY-MM-DD | [optional] 
 **marketplace** | **String**| Optional Marketplace Id to filter the deposits. If not passed, default marketplace                        from app token will be used if applicable. | [optional] 

### Return type

[**DepositListResponse**](DepositListResponse.md)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## get_disbursements_by_client_correlation_id

> DisbursementListResponse get_disbursements_by_client_correlation_id(client_correlation_id, opts)

Returns all disbursement transactions matching given correlation id.

### Example

```ruby
# load the gem
require 'yapstone-payouts'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::PayoutsApi.new
client_correlation_id = 'client_correlation_id_example' # String | Correlation identifier assigned to one or more disbursements by the Marketplace
opts = {
  from_date: 'from_date_example', # String | From date. Format YYYY-MM-DD
  to_date: 'to_date_example', # String | To date. Format YYYY-MM-DD
  marketplace: 'marketplace_example' # String | Optional Marketplace Id to filter the disbursements. If not passed, default                        marketplace from app token will be used if applicable.
}

begin
  #Returns all disbursement transactions matching given correlation id.
  result = api_instance.get_disbursements_by_client_correlation_id(client_correlation_id, opts)
  p result
rescue Yapstone::ApiError => e
  puts "Exception when calling PayoutsApi->get_disbursements_by_client_correlation_id: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **client_correlation_id** | **String**| Correlation identifier assigned to one or more disbursements by the Marketplace | 
 **from_date** | **String**| From date. Format YYYY-MM-DD | [optional] 
 **to_date** | **String**| To date. Format YYYY-MM-DD | [optional] 
 **marketplace** | **String**| Optional Marketplace Id to filter the disbursements. If not passed, default                        marketplace from app token will be used if applicable. | [optional] 

### Return type

[**DisbursementListResponse**](DisbursementListResponse.md)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## get_disbursements_by_client_unique_txn_id

> DisbursementListResponse get_disbursements_by_client_unique_txn_id(client_unique_txn_id, opts)

Returns all disbursement transactions matching given unique id.

### Example

```ruby
# load the gem
require 'yapstone-payouts'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::PayoutsApi.new
client_unique_txn_id = 'client_unique_txn_id_example' # String | Alternate key for a single disbursement record (assigned by Marketplace)
opts = {
  from_date: 'from_date_example', # String | From date. Format YYYY-MM-DD
  to_date: 'to_date_example', # String | To date. Format YYYY-MM-DD
  marketplace: 'marketplace_example' # String | Optional Marketplace Id to filter the disbursements. If not passed, default                        marketplace from app token will be used if applicable.
}

begin
  #Returns all disbursement transactions matching given unique id.
  result = api_instance.get_disbursements_by_client_unique_txn_id(client_unique_txn_id, opts)
  p result
rescue Yapstone::ApiError => e
  puts "Exception when calling PayoutsApi->get_disbursements_by_client_unique_txn_id: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **client_unique_txn_id** | **String**| Alternate key for a single disbursement record (assigned by Marketplace) | 
 **from_date** | **String**| From date. Format YYYY-MM-DD | [optional] 
 **to_date** | **String**| To date. Format YYYY-MM-DD | [optional] 
 **marketplace** | **String**| Optional Marketplace Id to filter the disbursements. If not passed, default                        marketplace from app token will be used if applicable. | [optional] 

### Return type

[**DisbursementListResponse**](DisbursementListResponse.md)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## get_disbursements_by_contract_id

> DisbursementListResponse get_disbursements_by_contract_id(contract_id, opts)

Returns all disbursement transactions matching given contract id.

### Example

```ruby
# load the gem
require 'yapstone-payouts'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::PayoutsApi.new
contract_id = 'contract_id_example' # String | Primary identifier used to designate a payee (assigned by YapStone)
opts = {
  from_date: 'from_date_example', # String | From date. Format YYYY-MM-DD
  to_date: 'to_date_example', # String | To date. Format YYYY-MM-DD
  marketplace: 'marketplace_example' # String | Optional Marketplace Id to filter the disbursements. If not passed, default                        marketplace from app token will be used if applicable.
}

begin
  #Returns all disbursement transactions matching given contract id.
  result = api_instance.get_disbursements_by_contract_id(contract_id, opts)
  p result
rescue Yapstone::ApiError => e
  puts "Exception when calling PayoutsApi->get_disbursements_by_contract_id: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **contract_id** | **String**| Primary identifier used to designate a payee (assigned by YapStone) | 
 **from_date** | **String**| From date. Format YYYY-MM-DD | [optional] 
 **to_date** | **String**| To date. Format YYYY-MM-DD | [optional] 
 **marketplace** | **String**| Optional Marketplace Id to filter the disbursements. If not passed, default                        marketplace from app token will be used if applicable. | [optional] 

### Return type

[**DisbursementListResponse**](DisbursementListResponse.md)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## get_disbursements_by_correlation_id_and_status

> DisbursementListResponse get_disbursements_by_correlation_id_and_status(client_correlation_id, current_status, opts)

Returns all disbursement transactions matching given correlation id and status.

### Example

```ruby
# load the gem
require 'yapstone-payouts'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::PayoutsApi.new
client_correlation_id = 'client_correlation_id_example' # String | Correlation identifier assigned to one or more disbursements by the Marketplace
current_status = 'current_status_example' # String | Current disbursement status
opts = {
  from_date: 'from_date_example', # String | From date. Format YYYY-MM-DD
  to_date: 'to_date_example', # String | To date. Format YYYY-MM-DD
  marketplace: 'marketplace_example' # String | Optional Marketplace Id to filter the disbursements. If not passed, default                        marketplace from app token will be used if applicable.
}

begin
  #Returns all disbursement transactions matching given correlation id and status.
  result = api_instance.get_disbursements_by_correlation_id_and_status(client_correlation_id, current_status, opts)
  p result
rescue Yapstone::ApiError => e
  puts "Exception when calling PayoutsApi->get_disbursements_by_correlation_id_and_status: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **client_correlation_id** | **String**| Correlation identifier assigned to one or more disbursements by the Marketplace | 
 **current_status** | **String**| Current disbursement status | 
 **from_date** | **String**| From date. Format YYYY-MM-DD | [optional] 
 **to_date** | **String**| To date. Format YYYY-MM-DD | [optional] 
 **marketplace** | **String**| Optional Marketplace Id to filter the disbursements. If not passed, default                        marketplace from app token will be used if applicable. | [optional] 

### Return type

[**DisbursementListResponse**](DisbursementListResponse.md)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## get_disbursements_by_currency

> DisbursementListResponse get_disbursements_by_currency(currency, opts)

Returns all disbursement transactions matching given contract id.

### Example

```ruby
# load the gem
require 'yapstone-payouts'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::PayoutsApi.new
currency = 'currency_example' # String | The currency for a set of disbursements (EUR, GBP, USD)
opts = {
  from_date: 'from_date_example', # String | From date. Format YYYY-MM-DD
  to_date: 'to_date_example', # String | To date. Format YYYY-MM-DD
  marketplace: 'marketplace_example' # String | Optional Marketplace Id to filter the disbursements. If not passed, default                        marketplace from app token will be used if applicable.
}

begin
  #Returns all disbursement transactions matching given contract id.
  result = api_instance.get_disbursements_by_currency(currency, opts)
  p result
rescue Yapstone::ApiError => e
  puts "Exception when calling PayoutsApi->get_disbursements_by_currency: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **currency** | **String**| The currency for a set of disbursements (EUR, GBP, USD) | 
 **from_date** | **String**| From date. Format YYYY-MM-DD | [optional] 
 **to_date** | **String**| To date. Format YYYY-MM-DD | [optional] 
 **marketplace** | **String**| Optional Marketplace Id to filter the disbursements. If not passed, default                        marketplace from app token will be used if applicable. | [optional] 

### Return type

[**DisbursementListResponse**](DisbursementListResponse.md)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## get_disbursements_by_instrument_id

> DisbursementListResponse get_disbursements_by_instrument_id(payee_instrument_id, opts)

Returns all disbursement transactions matching given contract id.

### Example

```ruby
# load the gem
require 'yapstone-payouts'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::PayoutsApi.new
payee_instrument_id = 'payee_instrument_id_example' # String | Primary identifier used to designate a payment instrument (assigned by YapStone)
opts = {
  from_date: 'from_date_example', # String | From date. Format YYYY-MM-DD
  to_date: 'to_date_example', # String | To date. Format YYYY-MM-DD
  marketplace: 'marketplace_example' # String | Optional Marketplace Id to filter the disbursements. If not passed, default                        marketplace from app token will be used if applicable.
}

begin
  #Returns all disbursement transactions matching given contract id.
  result = api_instance.get_disbursements_by_instrument_id(payee_instrument_id, opts)
  p result
rescue Yapstone::ApiError => e
  puts "Exception when calling PayoutsApi->get_disbursements_by_instrument_id: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **payee_instrument_id** | **String**| Primary identifier used to designate a payment instrument (assigned by YapStone) | 
 **from_date** | **String**| From date. Format YYYY-MM-DD | [optional] 
 **to_date** | **String**| To date. Format YYYY-MM-DD | [optional] 
 **marketplace** | **String**| Optional Marketplace Id to filter the disbursements. If not passed, default                        marketplace from app token will be used if applicable. | [optional] 

### Return type

[**DisbursementListResponse**](DisbursementListResponse.md)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## get_disbursements_by_order_id

> DisbursementListResponse get_disbursements_by_order_id(order_id, opts)

Returns all disbursement transactions matching given order id.

### Example

```ruby
# load the gem
require 'yapstone-payouts'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::PayoutsApi.new
order_id = 'order_id_example' # String | Group identifer for a set of disbursements created via a single API request                        (assigned by YapStone)
opts = {
  from_date: 'from_date_example', # String | From date. Format YYYY-MM-DD
  to_date: 'to_date_example', # String | To date. Format YYYY-MM-DD
  marketplace: 'marketplace_example' # String | Optional Marketplace Id to filter the disbursements. If not passed, default                        marketplace from app token will be used if applicable.
}

begin
  #Returns all disbursement transactions matching given order id.
  result = api_instance.get_disbursements_by_order_id(order_id, opts)
  p result
rescue Yapstone::ApiError => e
  puts "Exception when calling PayoutsApi->get_disbursements_by_order_id: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **order_id** | **String**| Group identifer for a set of disbursements created via a single API request                        (assigned by YapStone) | 
 **from_date** | **String**| From date. Format YYYY-MM-DD | [optional] 
 **to_date** | **String**| To date. Format YYYY-MM-DD | [optional] 
 **marketplace** | **String**| Optional Marketplace Id to filter the disbursements. If not passed, default                        marketplace from app token will be used if applicable. | [optional] 

### Return type

[**DisbursementListResponse**](DisbursementListResponse.md)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## get_disbursements_by_party_id

> DisbursementListResponse get_disbursements_by_party_id(payee_party_id, opts)

Returns all disbursement transactions matching given contract id.

### Example

```ruby
# load the gem
require 'yapstone-payouts'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::PayoutsApi.new
payee_party_id = 'payee_party_id_example' # String | Primary identifier used to designate a payment recipient (assigned by YapStone)
opts = {
  from_date: 'from_date_example', # String | From date. Format YYYY-MM-DD
  to_date: 'to_date_example', # String | To date. Format YYYY-MM-DD
  marketplace: 'marketplace_example' # String | Optional Marketplace Id to filter the disbursements. If not passed, default                        marketplace from app token will be used if applicable.
}

begin
  #Returns all disbursement transactions matching given contract id.
  result = api_instance.get_disbursements_by_party_id(payee_party_id, opts)
  p result
rescue Yapstone::ApiError => e
  puts "Exception when calling PayoutsApi->get_disbursements_by_party_id: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **payee_party_id** | **String**| Primary identifier used to designate a payment recipient (assigned by YapStone) | 
 **from_date** | **String**| From date. Format YYYY-MM-DD | [optional] 
 **to_date** | **String**| To date. Format YYYY-MM-DD | [optional] 
 **marketplace** | **String**| Optional Marketplace Id to filter the disbursements. If not passed, default                        marketplace from app token will be used if applicable. | [optional] 

### Return type

[**DisbursementListResponse**](DisbursementListResponse.md)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## get_disbursements_by_status

> DisbursementListResponse get_disbursements_by_status(current_status, opts)

Returns all disbursement transactions matching given current status.

### Example

```ruby
# load the gem
require 'yapstone-payouts'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::PayoutsApi.new
current_status = 'current_status_example' # String | Current disbursement status
opts = {
  from_date: 'from_date_example', # String | From date. Format YYYY-MM-DD
  to_date: 'to_date_example', # String | To date. Format YYYY-MM-DD
  marketplace: 'marketplace_example' # String | Optional Marketplace Id to filter the disbursements. If not passed, default                        marketplace from app token will be used if applicable.
}

begin
  #Returns all disbursement transactions matching given current status.
  result = api_instance.get_disbursements_by_status(current_status, opts)
  p result
rescue Yapstone::ApiError => e
  puts "Exception when calling PayoutsApi->get_disbursements_by_status: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **current_status** | **String**| Current disbursement status | 
 **from_date** | **String**| From date. Format YYYY-MM-DD | [optional] 
 **to_date** | **String**| To date. Format YYYY-MM-DD | [optional] 
 **marketplace** | **String**| Optional Marketplace Id to filter the disbursements. If not passed, default                        marketplace from app token will be used if applicable. | [optional] 

### Return type

[**DisbursementListResponse**](DisbursementListResponse.md)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## get_disbursements_by_txn_id

> Disbursement get_disbursements_by_txn_id(transaction_id)

                     Returns the disbursement detail and status history for the given transactionId.

### Example

```ruby
# load the gem
require 'yapstone-payouts'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::PayoutsApi.new
transaction_id = 'transaction_id_example' # String | Primary key for a single disbursement record (assigned by YapStone)

begin
  #                     Returns the disbursement detail and status history for the given transactionId.
  result = api_instance.get_disbursements_by_txn_id(transaction_id)
  p result
rescue Yapstone::ApiError => e
  puts "Exception when calling PayoutsApi->get_disbursements_by_txn_id: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **transaction_id** | **String**| Primary key for a single disbursement record (assigned by YapStone) | 

### Return type

[**Disbursement**](Disbursement.md)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## get_reimbursement

> Reimbursement get_reimbursement(transaction_id)

                     Returns the disbursement detail and status history for the given transactionId.

### Example

```ruby
# load the gem
require 'yapstone-payouts'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::PayoutsApi.new
transaction_id = 'transaction_id_example' # String | Primary key for a single disbursement record (assigned by YapStone)

begin
  #                     Returns the disbursement detail and status history for the given transactionId.
  result = api_instance.get_reimbursement(transaction_id)
  p result
rescue Yapstone::ApiError => e
  puts "Exception when calling PayoutsApi->get_reimbursement: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **transaction_id** | **String**| Primary key for a single disbursement record (assigned by YapStone) | 

### Return type

[**Reimbursement**](Reimbursement.md)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## get_reimbursements_by_contract_id

> ReimbursementListResponse get_reimbursements_by_contract_id(current_status, contract_id, opts)

Returns all reimbursement transactions matching given contract .

### Example

```ruby
# load the gem
require 'yapstone-payouts'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::PayoutsApi.new
current_status = 'current_status_example' # String | Group identifer for a set of reimbursements created via a single API request                        (assigned by YapStone)
contract_id = 'contract_id_example' # String | 
opts = {
  marketplace: 'marketplace_example' # String | Optional Marketplace Id to filter the reimbursements. If not passed, default                        marketplace from app token will be used if applicable.
}

begin
  #Returns all reimbursement transactions matching given contract .
  result = api_instance.get_reimbursements_by_contract_id(current_status, contract_id, opts)
  p result
rescue Yapstone::ApiError => e
  puts "Exception when calling PayoutsApi->get_reimbursements_by_contract_id: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **current_status** | **String**| Group identifer for a set of reimbursements created via a single API request                        (assigned by YapStone) | 
 **contract_id** | **String**|  | 
 **marketplace** | **String**| Optional Marketplace Id to filter the reimbursements. If not passed, default                        marketplace from app token will be used if applicable. | [optional] 

### Return type

[**ReimbursementListResponse**](ReimbursementListResponse.md)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## get_reimbursements_by_correlation_id

> ReimbursementListResponse get_reimbursements_by_correlation_id(client_correlation_id, opts)

Returns all reimbursement transactions matching given correlation .

### Example

```ruby
# load the gem
require 'yapstone-payouts'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::PayoutsApi.new
client_correlation_id = 'client_correlation_id_example' # String | Group identifer for a set of reimbursements created via a single API request                        (assigned by YapStone)
opts = {
  marketplace: 'marketplace_example' # String | Optional Marketplace Id to filter the reimbursements. If not passed, default                        marketplace from app token will be used if applicable.
}

begin
  #Returns all reimbursement transactions matching given correlation .
  result = api_instance.get_reimbursements_by_correlation_id(client_correlation_id, opts)
  p result
rescue Yapstone::ApiError => e
  puts "Exception when calling PayoutsApi->get_reimbursements_by_correlation_id: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **client_correlation_id** | **String**| Group identifer for a set of reimbursements created via a single API request                        (assigned by YapStone) | 
 **marketplace** | **String**| Optional Marketplace Id to filter the reimbursements. If not passed, default                        marketplace from app token will be used if applicable. | [optional] 

### Return type

[**ReimbursementListResponse**](ReimbursementListResponse.md)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## get_reimbursements_by_correlation_id_and_status

> ReimbursementListResponse get_reimbursements_by_correlation_id_and_status(client_correlation_id, current_status, opts)

Returns all pool activities matching given client correlation id and status.

### Example

```ruby
# load the gem
require 'yapstone-payouts'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::PayoutsApi.new
client_correlation_id = 'client_correlation_id_example' # String | Correlation identifier assigned to one or more reimbursements by the Marketplace
current_status = 'current_status_example' # String | Current reimbursement status of the pool activity
opts = {
  marketplace: 'marketplace_example' # String | Optional Marketplace Id to filter the reimbursements. If not passed, default marketplace                        from app token will be used if applicable.
}

begin
  #Returns all pool activities matching given client correlation id and status.
  result = api_instance.get_reimbursements_by_correlation_id_and_status(client_correlation_id, current_status, opts)
  p result
rescue Yapstone::ApiError => e
  puts "Exception when calling PayoutsApi->get_reimbursements_by_correlation_id_and_status: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **client_correlation_id** | **String**| Correlation identifier assigned to one or more reimbursements by the Marketplace | 
 **current_status** | **String**| Current reimbursement status of the pool activity | 
 **marketplace** | **String**| Optional Marketplace Id to filter the reimbursements. If not passed, default marketplace                        from app token will be used if applicable. | [optional] 

### Return type

[**ReimbursementListResponse**](ReimbursementListResponse.md)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## get_reimbursements_by_currency

> ReimbursementListResponse get_reimbursements_by_currency(currency, opts)

Returns all reimbursement transactions matching given currency .

### Example

```ruby
# load the gem
require 'yapstone-payouts'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::PayoutsApi.new
currency = 'currency_example' # String | Group identifer for a set of reimbursements created via a single API request                        (assigned by YapStone)
opts = {
  marketplace: 'marketplace_example' # String | Optional Marketplace Id to filter the reimbursements. If not passed, default                        marketplace from app token will be used if applicable.
}

begin
  #Returns all reimbursement transactions matching given currency .
  result = api_instance.get_reimbursements_by_currency(currency, opts)
  p result
rescue Yapstone::ApiError => e
  puts "Exception when calling PayoutsApi->get_reimbursements_by_currency: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **currency** | **String**| Group identifer for a set of reimbursements created via a single API request                        (assigned by YapStone) | 
 **marketplace** | **String**| Optional Marketplace Id to filter the reimbursements. If not passed, default                        marketplace from app token will be used if applicable. | [optional] 

### Return type

[**ReimbursementListResponse**](ReimbursementListResponse.md)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## get_reimbursements_by_current_status

> ReimbursementListResponse get_reimbursements_by_current_status(client_unique_txn_id, opts)

Returns all reimbursement transactions matching given clientId .

### Example

```ruby
# load the gem
require 'yapstone-payouts'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::PayoutsApi.new
client_unique_txn_id = 'client_unique_txn_id_example' # String | Group identifer for a set of reimbursements created via a single API request                        (assigned by YapStone)
opts = {
  marketplace: 'marketplace_example' # String | Optional Marketplace Id to filter the reimbursements. If not passed, default                        marketplace from app token will be used if applicable.
}

begin
  #Returns all reimbursement transactions matching given clientId .
  result = api_instance.get_reimbursements_by_current_status(client_unique_txn_id, opts)
  p result
rescue Yapstone::ApiError => e
  puts "Exception when calling PayoutsApi->get_reimbursements_by_current_status: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **client_unique_txn_id** | **String**| Group identifer for a set of reimbursements created via a single API request                        (assigned by YapStone) | 
 **marketplace** | **String**| Optional Marketplace Id to filter the reimbursements. If not passed, default                        marketplace from app token will be used if applicable. | [optional] 

### Return type

[**ReimbursementListResponse**](ReimbursementListResponse.md)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## get_reimbursements_by_instrument

> ReimbursementListResponse get_reimbursements_by_instrument(payee_instrument_id, opts)

Returns all reimbursement transactions matching given instrument .

### Example

```ruby
# load the gem
require 'yapstone-payouts'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::PayoutsApi.new
payee_instrument_id = 'payee_instrument_id_example' # String | Group identifer for a set of reimbursements created via a single API request                        (assigned by YapStone)
opts = {
  marketplace: 'marketplace_example' # String | Optional Marketplace Id to filter the reimbursements. If not passed, default                        marketplace from app token will be used if applicable.
}

begin
  #Returns all reimbursement transactions matching given instrument .
  result = api_instance.get_reimbursements_by_instrument(payee_instrument_id, opts)
  p result
rescue Yapstone::ApiError => e
  puts "Exception when calling PayoutsApi->get_reimbursements_by_instrument: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **payee_instrument_id** | **String**| Group identifer for a set of reimbursements created via a single API request                        (assigned by YapStone) | 
 **marketplace** | **String**| Optional Marketplace Id to filter the reimbursements. If not passed, default                        marketplace from app token will be used if applicable. | [optional] 

### Return type

[**ReimbursementListResponse**](ReimbursementListResponse.md)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## get_reimbursements_by_order_id

> ReimbursementListResponse get_reimbursements_by_order_id(order_id, opts)

Returns all reimbursement transactions matching given order .

### Example

```ruby
# load the gem
require 'yapstone-payouts'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::PayoutsApi.new
order_id = 'order_id_example' # String | Group identifer for a set of reimbursements created via a single API request                        (assigned by YapStone)
opts = {
  marketplace: 'marketplace_example' # String | Optional Marketplace Id to filter the reimbursements. If not passed, default                        marketplace from app token will be used if applicable.
}

begin
  #Returns all reimbursement transactions matching given order .
  result = api_instance.get_reimbursements_by_order_id(order_id, opts)
  p result
rescue Yapstone::ApiError => e
  puts "Exception when calling PayoutsApi->get_reimbursements_by_order_id: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **order_id** | **String**| Group identifer for a set of reimbursements created via a single API request                        (assigned by YapStone) | 
 **marketplace** | **String**| Optional Marketplace Id to filter the reimbursements. If not passed, default                        marketplace from app token will be used if applicable. | [optional] 

### Return type

[**ReimbursementListResponse**](ReimbursementListResponse.md)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## get_reimbursements_by_party_id

> ReimbursementListResponse get_reimbursements_by_party_id(payee_party_id, opts)

Returns all reimbursement transactions matching given party .

### Example

```ruby
# load the gem
require 'yapstone-payouts'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::PayoutsApi.new
payee_party_id = 'payee_party_id_example' # String | Group identifer for a set of reimbursements created via a single API request                        (assigned by YapStone)
opts = {
  marketplace: 'marketplace_example' # String | Optional Marketplace Id to filter the reimbursements. If not passed, default                        marketplace from app token will be used if applicable.
}

begin
  #Returns all reimbursement transactions matching given party .
  result = api_instance.get_reimbursements_by_party_id(payee_party_id, opts)
  p result
rescue Yapstone::ApiError => e
  puts "Exception when calling PayoutsApi->get_reimbursements_by_party_id: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **payee_party_id** | **String**| Group identifer for a set of reimbursements created via a single API request                        (assigned by YapStone) | 
 **marketplace** | **String**| Optional Marketplace Id to filter the reimbursements. If not passed, default                        marketplace from app token will be used if applicable. | [optional] 

### Return type

[**ReimbursementListResponse**](ReimbursementListResponse.md)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## get_reimbursements_by_status

> ReimbursementListResponse get_reimbursements_by_status(current_status, opts)

Returns all reimbursement transactions matching given status .

### Example

```ruby
# load the gem
require 'yapstone-payouts'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::PayoutsApi.new
current_status = 'current_status_example' # String | Group identifer for a set of reimbursements created via a single API request                        (assigned by YapStone)
opts = {
  marketplace: 'marketplace_example' # String | Optional Marketplace Id to filter the reimbursements. If not passed, default                        marketplace from app token will be used if applicable.
}

begin
  #Returns all reimbursement transactions matching given status .
  result = api_instance.get_reimbursements_by_status(current_status, opts)
  p result
rescue Yapstone::ApiError => e
  puts "Exception when calling PayoutsApi->get_reimbursements_by_status: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **current_status** | **String**| Group identifer for a set of reimbursements created via a single API request                        (assigned by YapStone) | 
 **marketplace** | **String**| Optional Marketplace Id to filter the reimbursements. If not passed, default                        marketplace from app token will be used if applicable. | [optional] 

### Return type

[**ReimbursementListResponse**](ReimbursementListResponse.md)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## reverse_disbursement

> reverse_disbursement(transaction_id, reverse_disbursement_request)

                     Reverse Disbursement - Submits a full (or partial) disbursement for funds that were originally                     retrieved via the given transactionId recapture order. The resulting transactionId represents the                     linked disbursement.

### Example

```ruby
# load the gem
require 'yapstone-payouts'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::PayoutsApi.new
transaction_id = 'transaction_id_example' # String | Primary key for a single disbursement record (assigned by YapStone)
reverse_disbursement_request = Yapstone::ReverseDisbursementRequest.new # ReverseDisbursementRequest | 

begin
  #                     Reverse Disbursement - Submits a full (or partial) disbursement for funds that were originally                     retrieved via the given transactionId recapture order. The resulting transactionId represents the                     linked disbursement.
  api_instance.reverse_disbursement(transaction_id, reverse_disbursement_request)
rescue Yapstone::ApiError => e
  puts "Exception when calling PayoutsApi->reverse_disbursement: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **transaction_id** | **String**| Primary key for a single disbursement record (assigned by YapStone) | 
 **reverse_disbursement_request** | [**ReverseDisbursementRequest**](ReverseDisbursementRequest.md)|  | 

### Return type

nil (empty response body)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: Not defined


## reverse_reimbursement

> reverse_reimbursement(transaction_id, reverse_reimbursement_request)

                     Reverse Reimbursement - Submits a full (or partial) disbursement for funds that were originally                     retrieved via the given transactionId recapture order. The resulting transactionId represents the                     linked reimbursement.

### Example

```ruby
# load the gem
require 'yapstone-payouts'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::PayoutsApi.new
transaction_id = 'transaction_id_example' # String | Primary key for a single reimbursement record (assigned by YapStone)
reverse_reimbursement_request = Yapstone::ReverseReimbursementRequest.new # ReverseReimbursementRequest | 

begin
  #                     Reverse Reimbursement - Submits a full (or partial) disbursement for funds that were originally                     retrieved via the given transactionId recapture order. The resulting transactionId represents the                     linked reimbursement.
  api_instance.reverse_reimbursement(transaction_id, reverse_reimbursement_request)
rescue Yapstone::ApiError => e
  puts "Exception when calling PayoutsApi->reverse_reimbursement: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **transaction_id** | **String**| Primary key for a single reimbursement record (assigned by YapStone) | 
 **reverse_reimbursement_request** | [**ReverseReimbursementRequest**](ReverseReimbursementRequest.md)|  | 

### Return type

nil (empty response body)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: Not defined


## submit_disbursements_for_payees

> submit_disbursements_for_payees(disbursement_request)

                     Provides instructions from the Marketplace for payments to be distributed to one or more                     Payees. Disbursement requests are grouped by currency, given that the funding pools are also                     segregated in this manner. If the corresponding pool was funded in advance, the disbursements                     will be processed on a same-day basis. Otherwise the disbursement requests will be queued for                     later processing as funds become available. Response is organized in two collections (accepted                     and rejected) to distinguish successful and failed items.

### Example

```ruby
# load the gem
require 'yapstone-payouts'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::PayoutsApi.new
disbursement_request = Yapstone::DisbursementRequest.new # DisbursementRequest | Provides instructions from the Marketplace for payments to be distributed to one                        or more Payees. Disbursement requests are grouped by currency, given that the funding pools are                        also segregated in this manner. If the corresponding pool was funded in advance, the                        disbursements will be processed on a same-day basis. Otherwise the disbursement requests will                        be queued for later processing as funds become available. Response is organized in two                        collections (`accepted` and `rejected`) to distinguish successful and failed items.

begin
  #                     Provides instructions from the Marketplace for payments to be distributed to one or more                     Payees. Disbursement requests are grouped by currency, given that the funding pools are also                     segregated in this manner. If the corresponding pool was funded in advance, the disbursements                     will be processed on a same-day basis. Otherwise the disbursement requests will be queued for                     later processing as funds become available. Response is organized in two collections (accepted                     and rejected) to distinguish successful and failed items.
  api_instance.submit_disbursements_for_payees(disbursement_request)
rescue Yapstone::ApiError => e
  puts "Exception when calling PayoutsApi->submit_disbursements_for_payees: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **disbursement_request** | [**DisbursementRequest**](DisbursementRequest.md)| Provides instructions from the Marketplace for payments to be distributed to one                        or more Payees. Disbursement requests are grouped by currency, given that the funding pools are                        also segregated in this manner. If the corresponding pool was funded in advance, the                        disbursements will be processed on a same-day basis. Otherwise the disbursement requests will                        be queued for later processing as funds become available. Response is organized in two                        collections (&#x60;accepted&#x60; and &#x60;rejected&#x60;) to distinguish successful and failed items. | 

### Return type

nil (empty response body)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: Not defined


## submit_reimbursements

> submit_reimbursements(reimbursement_request)



### Example

```ruby
# load the gem
require 'yapstone-payouts'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::PayoutsApi.new
reimbursement_request = Yapstone::ReimbursementRequest.new # ReimbursementRequest | 

begin
  api_instance.submit_reimbursements(reimbursement_request)
rescue Yapstone::ApiError => e
  puts "Exception when calling PayoutsApi->submit_reimbursements: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **reimbursement_request** | [**ReimbursementRequest**](ReimbursementRequest.md)|  | 

### Return type

nil (empty response body)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: Not defined


## update_deposit

> update_deposit(deposit_id, deposit_detail)

                     Allows a Marketplace to update the details for a pending deposit advice to correct these values                     relative to the original post operation. Note that the new values will overwrite the existing                     deposit, and all must be provided by the caller (presumably after a corresponding get operation).                     If the deposit has already been processed then the update request will be rejected                     (400 Bad request).

### Example

```ruby
# load the gem
require 'yapstone-payouts'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::PayoutsApi.new
deposit_id = 'deposit_id_example' # String | Primary key for a single deposit record (assigned by YapStone)
deposit_detail = Yapstone::DepositDetail.new # DepositDetail | 

begin
  #                     Allows a Marketplace to update the details for a pending deposit advice to correct these values                     relative to the original post operation. Note that the new values will overwrite the existing                     deposit, and all must be provided by the caller (presumably after a corresponding get operation).                     If the deposit has already been processed then the update request will be rejected                     (400 Bad request).
  api_instance.update_deposit(deposit_id, deposit_detail)
rescue Yapstone::ApiError => e
  puts "Exception when calling PayoutsApi->update_deposit: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **deposit_id** | **String**| Primary key for a single deposit record (assigned by YapStone) | 
 **deposit_detail** | [**DepositDetail**](DepositDetail.md)|  | 

### Return type

nil (empty response body)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: Not defined

